package types

type Person struct {
	ID        int
	FirstName string
	LastName  string
}

type Instructor Person

type Participant struct {
	Person
	Company string
}

type Briefing struct {
	ID           int
	Date         string
	Time         string
	Location     string
	DocumentName string
	AsOf         string
	InstructorID int
}

type Answer struct {
	ID   int
	Text string
}

type Question struct {
	ID      int
	Text    string
	Answers []Answer
	Correct int
}

type GivenAnswer struct {
	BriefingID    int
	ParticipantID int
	QuestionID    int
	GivenAnswer   int
}

type OverviewTableData struct {
	InstructorFirstName  string
	InstructorLastName   string
	BriefingDate         string
	BriefingTime         string
	BriefingLocation     string
	BriefingDocumentName string
	BriefingAsOf         string
	ParticipantFirstName string
	ParticipantLastName  string
	ParticipantCompany   string
}
